%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		neatx
#Epoch:		0
Version:	0.3.1
Release:	1
License:	GNU/GPLv2
URL:		http://code.google.com/p/neatx/
Group:		Networking/Servers
Summary:	OpenSource NX server
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		neatx-python26.patch

# Requires:

# BuildRequires:
BuildRequires: docutils
BuildRequires: python26-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Neatx was developed by Google for an internal project. That project is now finished, and the source was released for the community to use/develop/benefit from. A couple of Google employees are doing sporadic releases and maintenance in their spare time.

What Works

    Session creation
    Session suspension
    Session resumption
    Session shutdown
    Gnome/KDE/Application/Console sessions
    Floating Window/Virtual Desktop sessions
    Fullscreen/Resolution/Keyboard preferences
    Session shadowing (though only sessions belonging to you) 

What Doesn't Work

    Terminating a session from the session list
    Windows/VNC sessions
    Sound, printer tunneling, Samba tunneling
    Local session sharing
    Load balancing 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./autogen.sh
./configure \
--prefix=%_prefix \
--disable-debug \
PYTHON=/usr/bin/python%{PYVER}

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/neatx/fdcopy
%{_libdir}/neatx/nxdialog
%{_libdir}/neatx/nxnode
%{_libdir}/neatx/nxnode-wrapper
%{_libdir}/neatx/nxserver
%{_libdir}/neatx/nxserver-login
%{_libdir}/neatx/nxserver-login-wrapper
%{_libdir}/neatx/ttysetup
%{python_sitearch}/neatx
%{_docdir}/neatx/design.html
%{_docdir}/neatx/neatx.conf.example
%{_docdir}/neatx/processes.txt
%{_datadir}/neatx/authorized_keys.nomachine

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Mon Oct 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.3.1-1
- initial CCux package release
